import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import java.util.*;
import java.math.*;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        double eps = 2e-9;
        double cAns = ouf.nextDouble();
        double jAns = ans.nextDouble();
        double diff = Math.abs(cAns - jAns) / Math.max(Math.abs(jAns), 1);
        if (diff <= eps) {
          return new Outcome(Outcome.Type.OK, "expected: " + jAns + ", found: " + cAns + ", error = " + diff);
        }
        return new Outcome(Outcome.Type.WA, "expected " + jAns + ", found " + cAns + ", error = " + diff);
    }
}
